version: "3.7"
services:
  mongo:
    image: mongo
    ports:
       - 27017:27017
    environment:
      MONGO_INITDB_DATABASE: test
  mexpress:
    image: mongo-express
    ports:
        - 8081:8081
    environment:
        ME_CONFIG_MONGODB_SERVER: mongo
        ME_CONFIG_BASICAUTH_USERNAME: hello
        ME_CONFIG_BASICAUTH_PASSWORD: hello
    depends_on:
        - mongo
  oldgo:
    image: golang:1.13-alpine
    working_dir: /app
    volumes:
      - ./:/app
  ci:
    image: golang:alpine
    restart: always
    working_dir: /app
    env_file: .env
    environment:
      # Don't forget to remove it from .env if testing with `make test`
      MONGO_URI: mongodb://mongo:27017
    volumes:
      - ./:/app
    depends_on:
      - mongo
    links:
      - mongo
